package xunji_service

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji_service"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji_service/list xunji_service GetXunjiServiceList
//
// Get xunji service list | 获取XunjiService列表
//
// Get xunji service list | 获取XunjiService列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: XunjiServiceListReq
//
// Responses:
//  200: XunjiServiceListResp

func GetXunjiServiceListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.XunjiServiceListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji_service.NewGetXunjiServiceListLogic(r.Context(), svcCtx)
		resp, err := l.GetXunjiServiceList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
